#
# spec file for package wasi-compiler-rt
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#

Name:           wasi-compiler-rt
Version:        22
Release:        0
Summary:        WASI version of compiler-rt implementation for WebAssembly
License:        Apache-2.0 WITH LLVM-exception AND NCSA
Group:          Development/Languages/Other
URL:            https://www.llvm.org
Source0:        https://github.com/WebAssembly/wasi-sdk/releases/download/wasi-sdk-%{version}/libclang_rt.builtins-wasm32-wasi-%{version}.0.tar.gz
%description

%prep
tar -xf %{SOURCE0}

%build

%install
install -Dm644 lib/wasi/libclang_rt.builtins-wasm32.a %{buildroot}%{_libdir}/clang/18/lib/wasi/libclang_rt.builtins-wasm32.a
mkdir %{buildroot}%{_libdir}/clang/18/lib/wasip1
mkdir %{buildroot}%{_libdir}/clang/18/lib/wasip2
ln -s ../wasi/libclang_rt.builtins-wasm32.a %{buildroot}%{_libdir}/clang/18/lib/wasip1/libclang_rt.builtins-wasm32.a
ln -s ../wasi/libclang_rt.builtins-wasm32.a %{buildroot}%{_libdir}/clang/18/lib/wasip2/libclang_rt.builtins-wasm32.a

%files
%dir %{_libdir}/clang/18/lib/*
%dir %{_libdir}/clang/
%dir %{_libdir}/clang/18/
%dir %{_libdir}/clang/18/lib/
%{_libdir}/clang/18/lib/*/libclang_rt.builtins-wasm32.a
%changelog


